require 'spec_helper'

describe Rustle::Frame do
  describe "initialization" do
    it "should require a valid array of LEDs" do
      valid = [Rustle::Color.rgb(255, 0, 0)] * 5
      invalid = ["poop"] * 5

      expect { Rustle::Frame.new(invalid) }
        .to raise_error(Rustle::InvalidLEDArray)
        
      expect { Rustle::Frame.new(valid) }
        .not_to raise_error
    end
  end
end
