# Rustle Changelog

## 0.1.2

#### New

* Much more spec coverage.
* Invalid data handling
* **Debug mode**: to make specs easier, Receiver objects can be set to debug mode, in which no actual data will be sent to the Arduino, and instead will be returned as arrays.

#### Deprecated

* The old DSL-style Receiver instantiation syntax. See the documentation for Receiver#initialize because the syntax is now quite different.

## 0.1.1

#### New

* Strip now relies on a new class, Frame, to handle its state changes. With this system in place, serialization of strip state is much more efficient, and thus, timing is more precise, and much higher framerates are achievable. Strip objects now also maintain a queue of their future frames, and expose methods which allow frames to be advanced through.
* Code is now documented.

#### Fixed

* An oversight where the Strip class tried to call `#off` on itself, which raised a NilClass exception.

#### Deprecated

* `Color#brighten` and `Color#darken` have both been removed due to their apparent uselessness. They may be restored in future versions should a use for them be found.

